## com.artofsolving.jodconverter.openoffice.converter
Class OpenOfficeDocumentConverter

    java.lang.Object
      com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
          com.artofsolving.jodconverter.openoffice.converter.OpenOfficeDocumentConverter

All Implemented Interfaces:
  DocumentConverter

    public class OpenOfficeDocumentConverter

extends AbstractOpenOfficeDocumentConverter

Default file-based `DocumentConverter` implementation.

This implementation passes document data to and from the OpenOffice.org service as file URLs.

File-based conversions are faster than stream-based ones (provided by `StreamOpenOfficeDocumentConverter`) but they require the OpenOffice.org service to be running locally and have the correct permissions to the files.

See Also:
  `StreamOpenOfficeDocumentConverter`

Field Summary

Fields inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
`openOfficeConnection`

Constructor Summary
`OpenOfficeDocumentConverter(OpenOfficeConnection connection)`
`OpenOfficeDocumentConverter(OpenOfficeConnection connection, DocumentFormatRegistry formatRegistry)`

Method Summary
`protected void` `convertInternal(java.io.File inputFile, DocumentFormat inputFormat, java.io.File outputFile, DocumentFormat outputFormat)`
`protected void` `convertInternal(java.io.InputStream inputStream, DocumentFormat inputFormat, java.io.OutputStream outputStream, DocumentFormat outputFormat)` In this file-based implementation, streams are emulated using temporary files.

Methods inherited from class com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter
`convert, convert, convert, convert, getDefaultLoadProperties, getDocumentFormatRegistry, property, refreshDocument, setDefaultLoadProperty, toPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenOfficeDocumentConverter

    public OpenOfficeDocumentConverter(OpenOfficeConnection connection)

### OpenOfficeDocumentConverter

    public OpenOfficeDocumentConverter(OpenOfficeConnection connection,
                                       DocumentFormatRegistry formatRegistry)

Method Detail

### convertInternal

    protected void convertInternal(java.io.InputStream inputStream,
                                   DocumentFormat inputFormat,
                                   java.io.OutputStream outputStream,
                                   DocumentFormat outputFormat)

  In this file-based implementation, streams are emulated using temporary files.

  Specified by:
    `convertInternal` in class `AbstractOpenOfficeDocumentConverter`

### convertInternal

    protected void convertInternal(java.io.File inputFile,
                                   DocumentFormat inputFormat,
                                   java.io.File outputFile,
                                   DocumentFormat outputFormat)

  Specified by:
    `convertInternal` in class `AbstractOpenOfficeDocumentConverter`

Copyright © 2003-2009 Art of Solving. All Rights Reserved.